import 'package:relatica/models/group_data.dart';

import '../../models/visibility.dart';

extension VisibilityMastodonExtensions on Visibility {
  String toCreateStatusValue() {
    if (type == VisibilityType.public) {
      return 'public';
    }

    if (hasDetails) {
      final groupId =  allowedGroupIds.first;
      if (groupId == GroupData.followersPseudoGroup.id) {
        return 'private';
      }

      return groupId;
    }

    return 'private';
  }
}